<script setup lang="ts">
import Flex from "@/components/atoms/container/Flex.vue";
import CardBottomImage from "@/components/atoms/card/vertical-card/CardBottomImage.vue";
import VerticalCardBottomImage from "@/components/organisms/card/vertical-card/VerticalCardBottomImage.vue";

defineProps<{
  link: String,
  img: String,
  title: String,
}>()
</script>

<template>
  <VerticalCardBottomImage :title="title">
    <template v-slot:menu>
      <slot name="menu"/>
    </template>

    <RouterLink :to="link" class="flex grow">
      <Flex class="flex-col items-center grow">
        <CardBottomImage :src="img" :alt="title"/>
      </Flex>
    </RouterLink>
  </VerticalCardBottomImage>
</template>
